/* Styles für Physiotherapie Tropp */

/* ------------------------------------------------------------------------------------------------------------*/
/* ---------------  Allgemein  --------------------------------------------------------------------------------*/
/* ------------------------------------------------------------------------------------------------------------*/
* {
    box-sizing: border-box;
    margin: 0;
    font-family: var(--VAR--FONTFAM1);

    /* VARIABLEN */
    --VAR--FONT-COLOR1: #000;
    --VAR--FONT-HEADER1: #076633;
    --VAR--BG-COLOR-TRANSP-LIGHT: #ffffff4d;
    --VAR--BG-COLOR-TRANSP-WHITE: #ffffff82;
    --VAR--BG-COLOR-TRANSP-LIME: #82bf4f;
    --VAR--BG-COLOR-TRANSP-LIME-MINTRANSP: #82bf4f20;
    --VAR--FONTFAM1: "M PLUS Rounded 1c", sans-serif;
    --VAR--BORDERRADIUS: 20px;
    --VAR--BORDERRADIUS-SMALL: 5px;
    --VAR--FONTSIZE1: 1.2em;
    /* Normale Schriftgröße */
    --VAR--FONTSIZE3: 0.8em;
    /*Kleine Schriftgröße*/
}

.example {
    /* font-family: "myriad-variable",sans-serif; */
    font-family: "M PLUS Rounded 1c", sans-serif;
    font-variation-settings: 'wght' 300, 'wdth' 70;
}

/* .material-symbols-rounded {
    font-variation-settings:
        'FILL' 0,
        'wght' 400,
        'GRAD' 0,
        'opsz' 48
} */
.icon {
    height: 1ch;
}


.BackgroundImg {
    background-image: url(../images/backgroundIMG1.jpg);
    height: 100%;
    width: 100%;
    background-repeat: no-repeat;
    background-position-x: center;
    background-position-y: center;
    background-size: cover;
    position: fixed;
    z-index: -1;

}

.shadeBG {
    background-color: var(--VAR--BG-COLOR-TRANSP-LIGHT);
    /* width: inherit;
    height: inherit;
    position: inherit; */
    width: 100%;
    height: 100%;
}

body {}

/* Links ---------------------------------- */
a {
    font-family: var(--VAR--FONTFAM1);
    text-decoration: none;
    color: var(--VAR--FONT-COLOR1);
    text-wrap: nowrap;
}

/* Header ---------------------------------- */
h1 {}

h2 {}

h3 {}

h4 {
    color: var(--VAR--FONT-COLOR1);
}



/* ------------------------------------------------------------------------------------------------------------*/
/* ---------------------- Sektionen ---------------------------------------------------------------------------*/
/* ------------------------------------------------------------------------------------------------------------*/
header {
    display: flex;
    justify-content: center;
    flex-direction: column;
}

#topper {
    background-color: var(--VAR--BG-COLOR-TRANSP-WHITE);
    display: flex;
    justify-content: center;
    flex-direction: column;
    width: 90%;
    align-self: center;
    border-radius: 0 0 var(--VAR--BORDERRADIUS) var(--VAR--BORDERRADIUS);
    padding-bottom: 1rem;
}




main,
footer {
    background-color: var(--VAR--BG-COLOR-TRANSP-WHITE);
    width: 90%;
    position: relative;
    left: 50%;
    transform: translateX(-50%);
    border-radius: var(--VAR--BORDERRADIUS);
}

footer {
    padding: 0;
    text-align: center;
    bottom: 0px;
    z-index: 99;
    margin-top: 1vh;
}

footer>nav>a {
    font-size: 1rem;
}

#Über-Uns {
    text-align: center;
    font-family: var(--VAR--FONTFAM1);
    padding-inline: 3vw;
}

#Leistungen {
    display: flex;
    gap: 5vw;
    justify-content: center;
    flex-wrap: wrap;
    margin: 10vh 0vw;
}

#DirekterKontakt {
    width: 3vw;
    height: 6vw;
}

#Lage {
    display: flex;
    flex-direction: column;
    width: 100%;
    padding-bottom: 5vh;
}



#Kontakt {
    margin-top: 15vh;
    margin-bottom: 15vh;
}

/* ----------------------------------------------------------------------------------------------------------- */
/* ------------   Impressum  ----------------------------------------------------------------------------------*/
/* ----------------------------------------------------------------------------------------------------------- */

section#Impressum {
    background-color: #ffffff90;
    text-align: center;
    padding-inline: 2rem;
    padding-bottom: 4rem;
}

#Impressum>p {
    text-align: left;
}

#Impressum>.ImpressumHeader {
    text-align: left;
    font-size: 2em;
}

#Impressum>.DSVGOHeader,
#Datenschutz>.DSVGOHeader {
    text-align: left;
    font-size: 2em;
    margin-block: 0.75rem;
}

.ImpressumBackButton {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

/* ----------------------------------------------------------------------------------------------------------- */
/* ------------   Klassen  ------------------------------------------------------------------------------------*/
/* ----------------------------------------------------------------------------------------------------------- */
/* Logo */
.LogoGr1 {
    max-width: 100%;
    width: 412px;
    height: 188px;
    object-fit: cover;
    /* max-height: 180px; */
    align-self: center;
    overflow-y: hidden;
    overflow-x: hidden;

}

/* Nav | Navigation */
.Navigation1 {
    font-size: 1.5rem;
    font-weight: bold;
    align-self: center;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: nowrap;
    flex-shrink: 1;
}

.Navigation1 a {
    margin-inline: 5vw;
}

.Navigation2 {
    font-size: 1.5rem;
    font-weight: bold;
    align-self: center;
    display: none;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1ch;
}

.Navigation2 a {
    margin-inline: 5vw;
}


/* Über uns | ÜberUns | Über-Uns */
.H1Wilkommen {
    color: var(--VAR--FONT-HEADER1);
    padding-top: 1ch;
    font-size: 2.5rem;
    font-weight: 300;
    font-style: italic;
}

.sectionUeberschrift {
    color: var(--VAR--FONT-HEADER1);
    font-size: 2rem;
    font-weight: 300;
    text-align: center;
}

.kleineUeberschrift {
    color: var(--VAR--FONT-COLOR1);
    font-size: 1.5rem;
    font-weight: 300;
    margin-inline: 10%;
}

.P-überuns {
    font-size: var(--VAR--FONTSIZE1);
    margin: 5vh 3vw 5vh;
}

.portrait {
    outline: var(--VAR--FONT-HEADER1) 1px solid;
    background-image: url("../images/Portraitfoto.jpg");
    margin-left: 5%;
    outline-offset: 2px;
    border-radius: 50%;
    min-width: 20vw;
    height: 20vw;
    width: 20vw;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}

#Über-Mich>div {
    display: flex;
    align-items: center;
}

.Leistung {
    background-image: linear-gradient(var(--VAR--BG-COLOR-TRANSP-LIME), var(--VAR--BG-COLOR-TRANSP-LIME-MINTRANSP));
    min-height: 50vh;
    width: 50vh;
    height: fit-content;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    border-radius: 5%;
    overflow: hidden;
}

.Leistung h4,
.Leistung p,
.Leistung a {
    margin: 2%;
}

.Leistung h4 {
    text-align: center;
}

.ImgBeschreibung {
    height: 30vh;
    min-width: 100%;
    object-fit: cover;
    overflow: hidden;

}

.Beschreibung {}

.MehrInfos {
    font-weight: bolder;
    align-self: flex-end;
}

.MehrInfos:hover {
    cursor: pointer;
}

.MapsLage {
    width: 80%;
    align-self: center;
    border-radius: 15px;
    background-color: lightgrey;
}

.Map {
    position: relative;
    z-index: 0;
    width: 100%;
    border-radius: 15px;
}

.MapsCookie {
    display: flex;
    flex-direction: column;
    width: 80%;
    position: absolute;
    z-index: 1;
    background-color: white;
    border-radius: 15px;
    padding: 10px;
    max-height: 100%;
}

.MapsCookie>div {
    max-height: 50vh;
    overflow-y: scroll;
}

.MapsCookie>Button {
    padding: 3px;
    width: fit-content;
    position: relative;
    right: 10px;
    align-self: flex-end;
    background-color: #fefefe;
    outline-color: #000;
    color: #000;
    border-radius: var(--VAR--BORDERRADIUS-SMALL);
    font-size: 1.1rem;
}


.CallBtn {
    display: none;
}

.gruen {
    color: var(--VAR--FONT-HEADER1);
}

.mittig {
    margin-left: 0;
    text-align: center;
}

.klapptxt {
    height: min-content;
    display: block;
}

.klapptxt>p {
    margin-top: 0;
}

.hide {
    height: 0px;
    overflow: hidden;
    display: none !important;
}

.arrow {
    width: 7%;
    min-width: 30px;
    position: relative;
    left: 50%;
    transform: translateX(-50%);
    margin-bottom: 1rem;
    margin-top: 1rem;
    cursor: pointer;
}

.Leistung>.close {
    transform-origin: center center;
    transform: rotate(180deg) translateX(50%);
    transition: .1s linear;
}



hr {
    margin-top: 5vh;
    margin-inline: 10%;
    height: 1px;
    border: 0;
    background-color: #000;
}


/* DIEREKTER KONTAKT ---------------------------------------- */

#DirekterKontakt {
    width: min-content;
    height: 100px;
    position: fixed;
    z-index: 999;
    text-align: center;
    background-color: #ffffff;
    border-top-left-radius: 6px;
    border-bottom-left-radius: 6px;
    border: #000 1px solid;
    right: 0;
    bottom: 1em;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#DirekterKontakt div:first-child {
    border-bottom: 1px solid black;
}

#DirekterKontakt div {
    height: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-inline: 10px;
}

#mailto {
    display: none;
}

#DirekterKontakt #mail-form {
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    display: none;
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);

    background-color: white;
    padding: 5%;
    gap: 3px;
    border-radius: var(--VAR--BORDERRADIUS);
}

#mail-form label {
    outline: 1px solid;
    outline-offset: 3px;
    margin-top: 30px;
    order: 5;

}

#mail-form>textarea {
    min-height: 60%;
    min-width: 20vw;
}

#mail-form>* {
    margin: 6px;
    border-radius: var(--VAR--BORDERRADIUS-SMALL);
    color: #000;
}

#mail-form select,
#mail-form button {
    background-color: var(--VAR--BG-COLOR-TRANSP-WHITE2);
    border: none;
    outline: 1px solid #000;
}


#mailto:checked~#mail-form {
    display: flex;
    flex-direction: column;
}

#mail-form .x-Abbrechen {
    position: absolute;
    outline: none;
    z-index: 3;
    border-radius: 0 var(--VAR--BORDERRADIUS) 0 0;
    top: 0;
    right: 0;
    margin: 0;
    padding: 1ch;
    padding-bottom: 1.5ch;
    display: flex;
}

.x-Abbrechen>* {
    margin: 0;
    padding: 0;
    justify-content: center;
    align-content: center;
}

.x-Abbrechen:hover {
    background-color: red;
}

/* Responsive Design */

@media only screen and (max-width: 1000px) {

    main,
    footer,
    #topper {
        width: 100%;
    }
}

@media only screen and (max-width: 840px) {
    .Navigation1 {
        flex-wrap: wrap;
        font-size: 1.2rem;
    }

    .MapsLage,
    .MapsCookie {
        width: 100%;
    }

}

@media only screen and (max-width: 745px) {
    .Navigation1 {
        display: none;
    }

    .Navigation2 {
        display: flex;
    }

    .H1Wilkommen {
        font-size: 1.9rem;
    }

    #Über-Mich>div {
        margin-top: 20px;
        flex-direction: column;
    }
    .portrait{
        min-width: 150px;
        min-height: 150px;
        margin-left: 0;
    }
}

@media only screen and (max-width: 350px) {
    .kleineUeberschrift {
        font-size: 1rem;
    }

    .P-überuns {
        font-size: 1rem;
    }

    a {
        font-size: 1.2rem;
    }
}